
Redmine - Feature #7590

Different commit Keywords for each tracker

2011-02-09 12:48 - Matthias Neubert

Status: Closed Start date: 2011-02-09

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

I guess it is usefull to make it possible that one kann define

keywords like "fixes" but distinguish beween the trackers in which

state the issue of the tracker should be set

if #123 belongs to tracker "Feature" then "fixes #123" means feature goes to "Ready for test"

if #123 belongs to tracker "Build" then "fixes #123" means feature goes to "Done"

assuming that Support dosn't have the state "Ready for test" but has the state "Done"

Additionally the issue #1232 has other good ideas which should be done in one thing with my "tracker wise" idea

regards

Matthias

Related issues:

Related to Redmine - Feature #4911: Multiple issue update rules with differen... Closed 2010-02-23

Has duplicate Redmine - Feature #12656: make commit keywords and issue ratio ... Closed

Associated revisions

Revision 12208 - 2013-10-13 09:37 - Jean-Philippe Lang

Ability to define commit keywords per tracker (#7590).

Revision 12209 - 2013-10-13 09:39 - Jean-Philippe Lang

Migrate settings according to r12208 (#7590).

Revision 12216 - 2013-10-13 12:03 - Jean-Philippe Lang

Fixed that non array commit_update_keywords raises an error (#7590).

History

#1 - 2013-10-05 11:58 - Jean-Philippe Lang

- Has duplicate Feature #12656: make commit keywords and issue ratio configurable for each tracker added

#2 - 2013-10-13 09:36 - Jean-Philippe Lang

- Related to Feature #4911: Multiple issue update rules with different keywords in commit messages added

#3 - 2013-10-13 09:40 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Feature added in r12208.

#4 - 2013-10-13 11:17 - Ivan Cenov
Tested source:/trunk@12215 without any plugins. Configuration: thin, Ruby 1.9.3, Windows 7. Executed 'rake db:migrate RAILS_ENV=production' (I

saw no migration output in console though). Here is what received at /path/to/redmine/settings:

Started GET "/settings" for 192.168.142.1 at 2013-10-13 12:09:16 +0300

Processing by SettingsController#index as HTML

  Current user: imc (id=3)

  Rendered settings/_general.html.erb (19.0ms)

  Rendered settings/_display.html.erb (77.0ms)

  Rendered settings/_authentication.html.erb (8.5ms)

  Rendered settings/_projects.html.erb (12.5ms)

  Rendered queries/_columns.html.erb (5.5ms)

  Rendered settings/_issues.html.erb (63.0ms)

  Rendered settings/_notifications.html.erb (12.0ms)

  Rendered settings/_mail_handler.html.erb (7.5ms)

  Rendered settings/_repositories.html.erb (94.5ms)

  Rendered common/_tabs.html.erb (674.6ms)

  Rendered settings/edit.html.erb within layouts/admin (724.6ms)

Completed 500 Internal Server Error in 791ms

ActionView::Template::Error (can't convert String into Integer):

    90:   <tbody>

    91:     <% @commit_update_keywords.each do |rule| %>

    92:     <tr class="commit-keywords">

    93:       <td><%= select_tag "settings[commit_update_keywords][if_tracker_id][]", options_for_select([[l(:

label_all), ""]] + Tracker.sorted.all.map {|t| [t.name, t.id.to_s]}, rule['if_tracker_id']) %></td>

    94:       <td><%= text_field_tag "settings[commit_update_keywords][keywords][]", rule['keywords'], :size =

> 30 %></td>

    95:       <td><%= select_tag "settings[commit_update_keywords][status_id][]", options_for_select([["", 0]]

 + IssueStatus.sorted.all.collect{|status| [status.name, status.id.to_s]}, rule['status_id']) %></td>

    96:       <td><%= select_tag "settings[commit_update_keywords][done_ratio][]", options_for_select([["", ""

]] + (0..10).to_a.collect {|r| ["#{r*10} %", "#{r*10}"] }, rule['done_ratio']) %></td>

  app/views/settings/_repositories.html.erb:93:in `[]'

  app/views/settings/_repositories.html.erb:93:in `block (2 levels) in _app_views_settings__repositories_html_

erb___1052737814_64408164'

  app/views/settings/_repositories.html.erb:91:in `each'

  app/views/settings/_repositories.html.erb:91:in `block in _app_views_settings__repositories_html_erb___10527

37814_64408164'

  app/views/settings/_repositories.html.erb:1:in `_app_views_settings__repositories_html_erb___1052737814_6440

8164'

  app/views/common/_tabs.html.erb:24:in `block in _app_views_common__tabs_html_erb__333404635_65324712'

  app/views/common/_tabs.html.erb:23:in `each'

  app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb__333404635_65324712'

  app/helpers/application_helper.rb:271:in `render_tabs'

  app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb__116827168_64513368'

  app/controllers/settings_controller.rb:28:in `index'

#5 - 2013-10-13 12:03 - Jean-Philippe Lang

Ivan Cenov wrote:

Tested source:/trunk@12215 without any plugins. Configuration: thin, Ruby 1.9.3, Windows 7. Executed 'rake db:migrate

RAILS_ENV=production' (I saw no migration output in console though). Here is what received at /path/to/redmine/settings:

[...]

 This should be fixed in r12216.

#6 - 2013-10-13 12:31 - Ivan Cenov

Yes, it works in source:/trunk@12218.

#7 - 2013-10-13 14:39 - Jean-Philippe Lang

Thanks for your feedback Ivan.
